# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cmdtheline

%bcond_with tests

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        1%{?dist}
Summary:        Declarative command-line option parsing and documentation library

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
%endif
# End cabal-rpm deps

%description
CmdTheLine aims to remove tedium from the definition of command-line programs,
producing usage and help with little effort.

The inspiration was found in Daniel Bunzli's
<http://erratique.ch/software/cmdliner> library.

CmdTheLine uses applicative functors to provide a declarative, compositional
mechanism for defining command-line programs by lifting regular Haskell
functions over argument parsers.

A tutorial can be found at
<http://elifrey.com/2012/07/23/CmdTheLine-Tutorial/>.

Suggestions, comments, and bug reports are appreciated. Please see the bug and
issue tracker at <http://github.com/eli-frey/cmdtheline>.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

iconv --from=ISO-8859-1 --to=UTF-8 README.md > README.md.new
touch -r README.md README.md.new
mv README.md{.new,}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%cabal test
%endif


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc doc README.md


%changelog
* Fri Oct  3 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.2.3-1
- spec file generated by cabal-rpm-0.9.1
